Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009663 [DCSS] Bug Report minor always 2015-04-20 23:15 2015-12-14 02:31
Reporter amalloy View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.17 ancient branch
Summary 0009663: Attack-speed message from @ key doesn't understand speed brand
Description To reproduce: create a lajatang of speed, and set your Staves skill to 8. When you press @, you will be told your attack speed (70) is quite fast, and cannot be increased with skill. But, if you train to any higher amount of staves, your attack speed continues to increase until 14 (the true mindelay), and you no longer get the "cannot be increased with speed" message, even at 14 Staves.

The issue seems to be that monster::attack_delay takes speed brand into consideration, without telling you whether that happened, and _display_attack_delay checks whether the current attack delay, including speed, is exactly equal to the mindelay on a non-speed weapon.

I don't know the cleanest way to fix it: maybe a new optional parameter to monster::attack_delay, or an analogous function that doesn't include speed?

Issue first reported in ##crawl by user axecop.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0009687resolvedwheals Weapon speed "cannot be increased with skill" message ignores crosstraining 

-  Notes
(0028939)
wheals (administrator)
2015-04-21 00:23

Should be fixed in https://github.com/crawl/crawl/commit/552e03a34338 [^] , using a different code tweak.
(0028940)
amalloy (developer)
2015-04-21 00:31

Now I never get the "and cannot be increased with skill" message, even at 27 weapon skill.
(0028956)
golthoon (reporter)
2015-04-22 13:20

Related to 0007984.
(0028959)
wheals (administrator)
2015-04-22 16:59

OK, https://github.com/crawl/crawl/commit/159ac620999a [^] should actually fix it.

- Issue History
Date Modified Username Field Change
2015-04-20 23:15 amalloy New Issue
2015-04-21 00:23 wheals Note Added: 0028939
2015-04-21 00:23 wheals Status new => resolved
2015-04-21 00:23 wheals Fixed in Branch => 0.16 pre-release branch
2015-04-21 00:23 wheals Resolution open => done
2015-04-21 00:23 wheals Assigned To => wheals
2015-04-21 00:31 amalloy Note Added: 0028940
2015-04-22 13:20 golthoon Note Added: 0028956
2015-04-22 16:59 wheals Note Added: 0028959
2015-04-27 23:42 wheals Relationship added has duplicate 0009687
2015-12-14 02:31 amalloy Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker